Rtl8192 와이파이 무선랜 설치 문제

iptime사 USB 와이파이 무선랜 제품이 이 칩을 달고 나왔죠. 3.0대 커널에 이놈 드라이버가 내장되어 있는데 제대로 작동을 안합니다. (리눅스는 리얼텍 드라이버 관련으로는 속만 썩이는군요 -_-)
드라이버는 잡히는데 신호가 안 들어오죠, 혹시나 싶어 커널에 드라이버가 내장되지 않은 11.04에서 리얼텍 드라이버를 올려보니 잘 동작합니다.

만… 제가 리눅스 초보인지라 최근 커널에서 드라이버를 어떻게 컴파일하는지 모르겠습니다…

http://www.realtek.com.tw/downloads/dow ... loads=true

여기보면

Linux Kernel 2.6.18~2.6.38 and Kernel 3.0.2

Android 1.6~2.3 and 4.x

이렇게 돼 있거든요,. (지금 리눅스가 깔린 컴이 웹이 안돼서 그대로 붙여넣을수가 없네요)
3.0.12 커널에서는 에러메시지가 뜨면서 make install이 안됩니다.
그래서 커널을 다운그레이드(3.0.2)로 하니까 잘되긴 한데 다른게 불안해지네요… 드라이버 어느 부분을 수정해야 할 것 같은데 특정 커널만 지원할 경우 어떻게 하면 될까요? 기존 커널에 있던 망할놈의 드라이버는 블랙리스트로 띄운다 치고…

개인적으로 저도 이 문제 때문에…
설치하고 시냅틱에서 커널만 2.6.32-35버전으로 설치한 후 사용하네요…-_-;;;;;
그런데 커널 문제만이라고 보는 게 이상한게…
우분투를 설치하면 10.10이후로는 잘 잡히거든요…

하지만 다른 버전의 리눅스인 경우 안잡히는 게 대부분… 이럴때도 2.6.32-35버전의 커널을 설치하면 되더군요…
아리송~~~ 합니다.
드라이버, 커널, 패키지 등 복합적인 문제인가요???

음… RTL8192도 SE랑 CE로 나뉘던데요…

둘다… 영별론가보네요…

RT8188은… 그냥 보이면 설정을 다해놓습니다…
우분투가 아니라… 정확하게 답을 못드리겠네요…

전에 처음 컴퓨터 샀을때 드라이버가 제대로 지원이안되서 11.10 알파버전으로 잠시 사용했었습니다만…
그이후로는 커널로 드라이버가 들어갔는지… 속을 안썩히던데…음…큰일이네요.ㅡ.ㅡ;

저같은 경우에도 10.04를 쓰고있는데 기본커널인 2.6.32-28을 쓰면 그냥 저장소 추가해서 드라이버 설치하면 정상적으로 잘 동작하는 편입니다.

[code:1kml5aqq]sudo add-apt-repository ppa:lexical/hwe-wireless
sudo apt-get update
sudo apt-get install rtl8192ce-dkms[/code:1kml5aqq]
이렇게하면 135Mb/s로 정상적인 속도가 잡히는데 많이 출렁거리고 그다지 드라이버 질이 좋지는 않습니다.

그런데 요즘들어 SSD를 달아주게되어 TRIM이 제대로 지원되는 2.6.33이상의 커널이 필요하게 돼서 겸사겸사 3.0.0-15커널로 넘어갔더니 무선랜 드라아버와 의존성이 있는 dkms패키지을 설치할때 2.6.32-28 커널까지 같이 설치하려고해서 그냥 리얼텍 홈페이지에서 직접 다운받아다 컴파일해 설치했습니다. 컴파일은 정상적으로 됐구요. 무선랜도 동작하고 속도도 그전보다는 안정적입니다. 다만 그전엔 135Mb/s로 잡혔던것이 여기서는 72Mb/s로 반땡이 돼버리네요.

이것저것 삽질하다가 기존에 컴파일 설치한 무선랜 드라이버를 찾아서 지워야겠는데 도무지 어디있는지 알 수가 없군요.
이 글타래에 묻어서 질문드립니다. 컴파일로 설치한 무선랜 드라이버는 어디서 지울 수 있는건지요?